Skip to content

Change a band line

PATCH
/api/money/band-lines/{lineId}
lineId
required
string format: uuid
object
kind
string
Allowed values: income expense
category
string
Allowed values: merch kitty_topup grant other rehearsal_room gear merch_stock studio subscriptions marketing travel
amount
number
<= 1000000
currency
string
occurredOn
string
description
string
nullable <= 200 characters
eventId
string format: uuid
nullable
personUserId
string format: uuid
nullable
personName
string
nullable <= 100 characters
splitByPlayers
boolean

Success

object
ok
required
boolean
data
nullable

Bad request / invalid input

object
ok
required
boolean
error
required
string
code
string

Unauthenticated

object
ok
required
boolean
error
required
string
code
string

Forbidden, or Gig Money switched off

object
ok
required
boolean
error
required
string
code
string

Not found

object
ok
required
boolean
error
required
string
code
string

Server error

object
ok
required
boolean
error
required
string
code
string